import { CNode, CSSRenderInstance, CRenderProps } from './types';
/** get count of element */
declare function _gc(el: HTMLStyleElement): number;
/** set count of element */
declare function _sc(el: HTMLStyleElement, count: number): void;
export { _gc, _sc };
/** unmount */
export declare function _u(intance: CSSRenderInstance, node: CNode, target: HTMLStyleElement | string | number | undefined, count: boolean): void;
/** mount */
export declare function _m<T extends CRenderProps>(instance: CSSRenderInstance, node: CNode, target: HTMLStyleElement | string | number | undefined, props: T, count: boolean): HTMLStyleElement;
